<?php
require_once("../inc/db.php");
include_once("../inc/functions.php");
//session_start();

if (check_user('prof') == false && check_user('admin') == false) {
	$_SESSION = array();
	session_destroy();
	echo 'Vous n&#145;&ecirc;tes pas autoris&eacute; &agrave; voir cette page';
	exit;
	}


$link = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die ("<H1>Erreur de connexion</H1><br>\n");
mysqli_set_charset($link, "utf8"); 
?>
<head>
<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="Content-Type" content="text/html ; Content-Encoding: UTF-8; charset=UTF-8" />
<link rel="stylesheet" href="table.css" type="text/css" />
<link rel="stylesheet" href="../profs/print.css" type="text/css" media="print" />
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="../inc/main.css" type="text/css" />
<script>
function toggle($j) {
var all = document.getElementsByClassName('aff'+$j);
for (var i=0; i < all.length; i++) {
all[i].style.display = '';
}
}
function togglediv($i) {
var element= document.getElementById('div'+$i)
if (element.style.display == 'none') {
element.style.display = '';
document.getElementById('link'+$i).innerHTML = '&nbsp;&nbsp;-&nbsp;&nbsp;';
} else {
element.style.display = 'none';
document.getElementById('link'+$i).innerHTML = '&nbsp;&nbsp;+&nbsp;&nbsp;';
}
}

function hidecol($i,$attendu){
var k;
for (k = 0; k <= $i; k++) {
var x = document.getElementsByClassName('m'+k+" "+ 'aff'+$attendu);
var j;
for (j = 0; j < x.length; j++) {

    x[j].style.display = 'none';
}
}
}
</script>
</head>
<body>
<?php include "../inc/navbarprof.php"; ?>
<h1 align=center id="impression">Tableau de bord - Classe</h1>
<script type="text/javascript">
function imprimer_page(){ 
window.print();
} 
</script>

<div class="mceVisualAid" style="position: absolute; left: 19px; top: 80px;">

<?php
$sql = "SELECT * FROM `". $afix ."_domaine` where `". $afix ."_domaine`.`id_domaine` = ". $_GET['choice_domaine'];
$requete = mysqli_query( $link, $sql );
$domaine=mysqli_fetch_array( $requete );
echo "<h3>Domaine : ". $domaine['domaine'] ."</h3>";
$sql = "SELECT * FROM `". $afix ."_attendu` where `". $afix ."_attendu`.`id_domaine` = ". $_GET['choice_domaine'];
$requete = mysqli_query( $link, $sql );
while( $attendu = mysqli_fetch_array( $requete ) ) 
// début de la boucle concernant les objectifs pour le domaine
	{
	echo ("<button id='impression' onClick='togglediv(". $attendu['id_attendu'] .");'><a class='info' id='link". $attendu['id_attendu'] ."' title='D&eacute;velopper'>&nbsp;&nbsp;+&nbsp;&nbsp;</a></button>&nbsp;&nbsp;". $attendu['objectif'] ."<br>");
	echo "<div id='div". $attendu['id_attendu'] ."' style='display:none'>";
	echo "<table style='page-break-inside:avoid ; page-break-after:always ; border:1px solid black; border-collapse:collapse;'>";
	//affichage de la ligne d'entete (élèves)  
	$userprof=$_SESSION['user_name'];
	$sql = "SELECT * FROM `". $afix ."_utilisateurs` where `". $afix ."_utilisateurs`.`user_name` = '$userprof'"; 
	$requete3 = mysqli_query( $link, $sql );
	$result = mysqli_fetch_object( $requete3 );
	$classe = $result->id_classe;
	$sql = "SELECT * FROM `". $afix ."_utilisateurs` where `". $afix ."_utilisateurs`.`id_classe` =". $classe ." AND `". $afix ."_utilisateurs`.`statut`='user' ORDER BY `". $afix ."_utilisateurs`.`naissance` DESC";
	$requete4 = mysqli_query( $link, $sql ) ;

echo "<tr><td align=center ><button title='Afficher tous les &eacute;l&egrave;ves' id='impression' onClick='toggle(". $attendu['id_attendu'] .");'><a class='info'>&nbsp;&nbsp;+&nbsp;&nbsp;</a></button></td>";	
$nbeleve=0;	
$i=0;
if ($requete4) {
	while( $eleve = mysqli_fetch_array( $requete4 ) ) {
		echo (
		"	<th style='border:1px solid black;' title='Masquer la colonne' class='verticalTableHeader m". $i ." aff". $attendu['id_attendu'] ."' onClick=\"hidecol(". $i .", ". $attendu['id_attendu'] .");\"><a class='info'>". $eleve['prenom'] ."</a></th>"
		);
		$eleves[$nbeleve]=$eleve['id_user'];
		$nbeleve++;
		$i++;
		
	}
	}
echo "</tr>";
//////////:fin première ligne
	////////////////////////////////////////////::::
	$sql = "SELECT * FROM `". $afix ."_observable` where `". $afix ."_observable`.`id_attendu` = ". $attendu['id_attendu'] ." ORDER BY `". $afix ."_observable`.`id_ordre`";
	$requete2 = mysqli_query( $link, $sql );
	while( $observable = mysqli_fetch_array( $requete2 ) ) {
		//debut de la boucle pour les observables
		echo "<tr style='border:1px solid black;'><td width= 300px class='tdprint'>". stripslashes($observable['observable']) ."</td>";
		for ($i=0; $i<$nbeleve; $i++) {
		$sql = "SELECT * FROM `". $afix ."_reussite` where `". $afix ."_reussite`.`id_observable` = ". $observable['id_observable'] ." AND `". $afix ."_reussite`.`id_utilisateur` =". $eleves[$i] ." ORDER BY `". $afix ."_reussite`.`date` DESC LIMIT 1";
		$requete5 = mysqli_query( $link, $sql ) ;
		$checkeleve= mysqli_fetch_object( $requete5 );
		if ($checkeleve) {
		$sql = "SELECT * FROM `". $afix ."_utilisateurs` where `". $afix ."_utilisateurs`.`id_user` = ". $checkeleve->id_utilisateur; 
		$eleve = mysqli_query( $link, $sql );
		$resulteleve = mysqli_fetch_object( $eleve );	
		$date1 = new DateTime($resulteleve->naissance);
		$date2 = new DateTime($checkeleve->date);
		$age= date_diff($date2,$date1);
		echo ("<td align='center' style= 'border:1px solid black; background-color: blue ;' class='m". $i ." aff". $attendu['id_attendu'] ."'>
		<div class='dropdownboard'><a>X<div class='dropdown-content contentboardbottom'>"
		. date("d/m/Y",strtotime($checkeleve->date)) ." - ". $age->format('%yans %mmois') ." - ". stripslashes($checkeleve->reussite) ."
		</a></div></div>");
		} else {
		echo "<td style='border:1px solid black;' class='m". $i ." aff". $attendu['id_attendu'] ."'>";
		}
		////////////////colorer les cellules.
		echo"</td>";
		}
		echo "</tr>";
		}
		echo "</table><br>";
		echo "</div>";
}
?>


</div>
</body>