<?php

header("Cache-Control: no-store, no-cache, must-revalidate"); // HTTP/1.1
header("Cache-Control: post-check=0, pre-check=0", false);
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Pragma: no-cache"); // HTTP/1.0
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");

// checking for minimum PHP version
if (version_compare(PHP_VERSION, '5.3.7', '<')) {
    exit("Sorry, Simple PHP Login does not run on a PHP version smaller than 5.3.7 !");
} else if (version_compare(PHP_VERSION, '5.5.0', '<')) {
    // if you are using PHP 5.3 or PHP 5.4 you have to include the password_api_compatibility_library.php
    // (this library adds the PHP 5.5 password hashing functions to older versions of PHP)
    require_once("../php-login/libraries/password_compatibility_library.php");
}

require_once("../inc/db.php");
include_once("../inc/functions.php");
//session_start();
if (check_user('prof') == false && check_user('admin') == false) {
	$_SESSION = array();
	session_destroy();
	echo 'Vous n\'êtes pas autorisé à voir cette page';
	exit;
	}

// load the login class

require_once("../php-login/classes/Registration.php");

// create the registration object. when this object is created, it will do all registration stuff automatically
// so this single line handles the entire registration process.
$registration = new Registration();

// show the register view (with the registration form, and messages/errors)

?>
<head>
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="../inc/main.css" type="text/css" />
<!--
<script>
function swapInput(tag, type) {
  var el = document.createElement('input');
  el.id = tag.id;
  el.type = type;
  el.name = tag.name;
  el.value = tag.value; 
  tag.parentNode.insertBefore(el, tag);
  tag.parentNode.removeChild(tag);
}

function toggle_password(target,sh){
    var d = document;
    var tag = d.getElementById(target);
	
    var tag2 = d.getElementById(sh);
    if (tag2.innerHTML == 'Montrer'){

        swapInput(tag, 'text');
        tag2.innerHTML = 'Cacher';

    } else {
        swapInput(tag, 'password');   
        tag2.innerHTML = 'Montrer';
    }
}
</script>
-->
</head>
<body>
<?php 

include "../inc/navbarprof.php";
include("../php-login/views/register.php");
?>